path: /build/build/mark-kits-seed-0.20250624.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=10
  - GIT_HISTORY_ENTRIES=30000
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  - LUET_YES=true
  - LUET_NOLOCK=true
  prelude:
  - mv kits-versions / && curl https://raw.githubusercontent.com/geaaru/luet/geaaru/contrib/config/get_luet_root.sh
    | sh && anise subsets enable portage devel && anise repo list && anise repo disable
    mottainai-stable macaroni-terragon macaroni-commons && anise i --sync-repos repository/mark-dev
    repository/macaroni-commons-dev repository/macaroni-phoenix-dev && anise install
    --sync-repos dev-util/pkgs-checker app-misc/yq-go app-misc/jq system/luet-devkit
    mark-devkit app-admin/anise-portage-converter app-admin/entities --sync-repos
    && anise upgrade && anise cleanup && ego sync && cd /var/git/meta-repo/kits &&
    chown root:root -R /var/git/meta-repo/kits && rm -rf * && mark-devkit kit clone
    --specfile /kits-versions/kits.yaml --to /var/git/meta-repo/kits --deep $GIT_HISTORY_ENTRIES
    --concurrency $JOBS --generate-reposcan-files --kit-cache-dir /kit-cache/ && cp
    /kits-versions/kits.yaml /kit-cache/
  - cp patches/libical-3.0.11.ebuild /var/git/meta-repo/kits/gnome-kit/dev-libs/libical/
    && cd /var/git/meta-repo/kits/gnome-kit/dev-libs/libical && ebuild libical-3.0.11.ebuild
    digest
  - sh patches4funtoo.sh && sh patches4macaroni.sh
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:1ee0afeae5913c068e942fddfb7aca51ecd3d3b6981c93b08106e5e192895557
  package:
    name: mark-kits
    version: "0.20250624"
    category: seed
    requires:
    - name: mark-stage3
      version: '>=0'
      category: seed
    buildtimestamp: 2025-06-24 21:15:43.849920555 +0000 UTC m=+360.029747543
    treedir: /build/packages
  package_dir: ""
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 46995db4b389b894d512d6d1114535e02adf710a54ca68837fead903aef5c022
compressiontype: zstd
files: []
package_cacheimage: ""
runtime:
  name: mark-kits
  version: "0.20250624"
  category: seed
